Subject: Speeding up the Cygwin console keyboard response
From: [email-masked] (Victor Schneider)

27 Oct 1997 00:35:50 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

Somewhere in the implementation of the getch() and fread(stdin, &ch, n) code,
there is a callback function with a WM_KEYDOWN case.

Whatever is responding when a key is pressed is _not_ looking at the count
field of the returned message.  Which explains why the arrow keys can't
move fast.  Since I can call up a Dos window under Windows 95 and run the
DJGPP version of pico.exe and the programmer's workshop version of micro-
emacs.exe in that Dos window, I can easily convince you that the arrow
keys are much more responsive in those ported Unix apps, and in the Borland
version of lynx.exe than under Cygwin.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".